---
title: Datacenter Location
url: https://docs.vultr.com/products/storage/databases/kafka/management/settings/datacenter-location
description: Learn how to change the datacenter location for your Vultr Managed Apache Kafka® deployment
publish_date: 2024-10-16T12:45:28.931954Z
last_updated: 2026-05-26T20:37:42.715562Z
---

# How to Change Datacenter Locations for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® enables customers to switch their Kafka database to any of Vultr’s 33 global data center locations. Users can easily select a new location to enhance performance and reduce latency based on their operational needs. This straightforward interface allows for seamless transitions between data centers, ensuring customers can optimize their data streaming capabilities and maintain efficient connectivity across regions.

Follow this guide to change datacenter locations for Vultr Managed Apache Kafka® using Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Settings**, and select **Datacenter Location**.
    1. Select a **Data Center**, and click **Change Location**.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to change the datacenter location.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "region" : "blr"
        }'
        ```

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Change the datacenter location.

        ```console
        $ vultr-cli database update <database-id> --region="blr"
        ```

        Run `vultr-cli database update --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration and locate the Managed Apache Kafka® resource.

    1. Update the `region` on your Kafka resource and apply.

        ```terraform
        resource "vultr_database" "kafka" {
            label                   = "kafka-cluster-1"
            database_engine         = "kafka"
            database_engine_version = "3.7"
            region                  = "blr"  # New region
            plan                    = "vultr-dbaas-business-3x-occ-so-2-200-4"
        }
        ```

    1. Apply and observe:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
